osmith has uploaded this change for review. ( https://gerrit.osmocom.org/c/osmo-ci/+/36932?usp=email )
Change subject: OBS: add update_obs_eclipse_titan.sh
......................................................................
OBS: add update_obs_eclipse_titan.sh
Add a script to easily update the eclipse-titan package from a git
repository. This replaces the previous workflow of downloading the
previous source package, modifying it, and re-uploading it. With the git
repository, it is easier to see which patches are included, and it is
easier to modify the packaging (e.g. add new patches to fix build with
latest gcc), and easier to upgrade the eclipse-titan version.
I've done this change because it failed to build with the most recent
GCC in Debian Unstable. Backporting Vadim's patch from upstream fixes
it.
Related: https://gitlab.eclipse.org/eclipse/titan/titan.core/-/commit/b5d3d5bf4f0e2c…
Related: https://osmocom.org/projects/cellular-infrastructure/wiki/Upgrading_eclipse…
Change-Id: Ieb1945d5cf4abf8ae2201f49ea7dce8eb343167e
---
A scripts/obs/update_obs_eclipse_titan.sh
1 file changed, 62 insertions(+), 0 deletions(-)
git pull ssh://gerrit.osmocom.org:29418/osmo-ci refs/changes/32/36932/1
diff --git a/scripts/obs/update_obs_eclipse_titan.sh b/scripts/obs/update_obs_eclipse_titan.sh
new file mode 100755
index 0000000..6efb7c6
--- /dev/null
+++ b/scripts/obs/update_obs_eclipse_titan.sh
@@ -0,0 +1,40 @@
+#!/bin/sh -e
+# https://osmocom.org/projects/cellular-infrastructure/wiki/Upgrading_eclipse…
+DIR="$(realpath "$(dirname "$0")")"
+PROJ="$1"
+GIT_URL="https://gitea.osmocom.org/osmith/titan.core"
+CHECKOUT="osmocom/9.0.0"
+
+prepare_git_repo() {
+ cd "$DIR"
+ if ! [ -d _cache/eclipse-titan ]; then
+ mkdir -p _cache
+ git -C _cache clone "$GIT_URL" eclipse-titan
+ fi
+
+ cd _cache/eclipse-titan
+ git fetch
+ git clean -fdx
+ git checkout -f -B "$CHECKOUT"
+ git reset --hard origin/"$CHECKOUT"
+}
+
+update_obs_project() {
+ cd "$DIR"
+ ./update_obs_project.py \
+ --apiurl https://obs.osmocom.org \
+ --docker \
+ --allow-unknown-package \
+ --git-skip-checkout \
+ --git-skip-fetch \
+ --version-append "~osmocom" \
+ "$PROJ" \
+ eclipse-titan
+}
+
+set -x
+prepare_git_repo
+
+if [ -n "$PROJ" ]; then
+ update_obs_project
+fi
--
To view, visit https://gerrit.osmocom.org/c/osmo-ci/+/36932?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: osmo-ci
Gerrit-Branch: master
Gerrit-Change-Id: Ieb1945d5cf4abf8ae2201f49ea7dce8eb343167e
Gerrit-Change-Number: 36932
Gerrit-PatchSet: 1
Gerrit-Owner: osmith <osmith(a)sysmocom.de>
Gerrit-MessageType: newchange
laforge has submitted this change. ( https://gerrit.osmocom.org/c/pysim/+/36925?usp=email )
Change subject: pySim/commands: STATUS: Use indeterminate length Le/P3 == '00'
......................................................................
pySim/commands: STATUS: Use indeterminate length Le/P3 == '00'
Let's have the card tell us what the length is by indicating '00'
instead of stating 'FF'. This is better aligned with general practice
and won't break assumptions in other parts of the code like SCP
transport.
Change-Id: Ied63c6e1970e3dfc675da5e5f94579fbb06fea51
---
M pySim/commands.py
1 file changed, 15 insertions(+), 1 deletion(-)
Approvals:
laforge: Looks good to me, approved
Jenkins Builder: Verified
diff --git a/pySim/commands.py b/pySim/commands.py
index 7b21faf..c0ac1d7 100644
--- a/pySim/commands.py
+++ b/pySim/commands.py
@@ -618,7 +618,7 @@
def status(self) -> ResTuple:
"""Execute a STATUS command as per TS 102 221 Section 11.1.2."""
- return self.send_apdu_checksw(self.cla4lchan('80') + 'F20000ff')
+ return self.send_apdu_checksw(self.cla4lchan('80') + 'F2000000')
def deactivate_file(self) -> ResTuple:
"""Execute DECATIVATE FILE command as per TS 102 221 Section 11.1.14."""
--
To view, visit https://gerrit.osmocom.org/c/pysim/+/36925?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: pysim
Gerrit-Branch: master
Gerrit-Change-Id: Ied63c6e1970e3dfc675da5e5f94579fbb06fea51
Gerrit-Change-Number: 36925
Gerrit-PatchSet: 1
Gerrit-Owner: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Reviewer: laforge <laforge(a)osmocom.org>
Gerrit-MessageType: merged
laforge has posted comments on this change. ( https://gerrit.osmocom.org/c/pysim/+/36930?usp=email )
Change subject: CardKeyProvider: Implement support for column-based transport key encryption
......................................................................
Patch Set 1:
(1 comment)
Patchset:
PS1:
this still needs documentation
--
To view, visit https://gerrit.osmocom.org/c/pysim/+/36930?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: pysim
Gerrit-Branch: master
Gerrit-Change-Id: I13146a799448d03c681dc868aaa31eb78b7821ff
Gerrit-Change-Number: 36930
Gerrit-PatchSet: 1
Gerrit-Owner: laforge <laforge(a)osmocom.org>
Gerrit-Reviewer: Jenkins Builder
Gerrit-Comment-Date: Sun, 26 May 2024 17:23:20 +0000
Gerrit-HasComments: Yes
Gerrit-Has-Labels: No
Gerrit-MessageType: comment
laforge has uploaded this change for review. ( https://gerrit.osmocom.org/c/pysim/+/36925?usp=email )
Change subject: pySim/commands: STATUS: Use indeterminate length Le/P3 == '00'
......................................................................
pySim/commands: STATUS: Use indeterminate length Le/P3 == '00'
Let's have the card tell us what the length is by indicating '00'
instead of stating 'FF'. This is better aligned with general practice
and won't break assumptions in other parts of the code like SCP
transport.
Change-Id: Ied63c6e1970e3dfc675da5e5f94579fbb06fea51
---
M pySim/commands.py
1 file changed, 15 insertions(+), 1 deletion(-)
git pull ssh://gerrit.osmocom.org:29418/pysim refs/changes/25/36925/1
diff --git a/pySim/commands.py b/pySim/commands.py
index 7b21faf..c0ac1d7 100644
--- a/pySim/commands.py
+++ b/pySim/commands.py
@@ -618,7 +618,7 @@
def status(self) -> ResTuple:
"""Execute a STATUS command as per TS 102 221 Section 11.1.2."""
- return self.send_apdu_checksw(self.cla4lchan('80') + 'F20000ff')
+ return self.send_apdu_checksw(self.cla4lchan('80') + 'F2000000')
def deactivate_file(self) -> ResTuple:
"""Execute DECATIVATE FILE command as per TS 102 221 Section 11.1.14."""
--
To view, visit https://gerrit.osmocom.org/c/pysim/+/36925?usp=email
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings
Gerrit-Project: pysim
Gerrit-Branch: master
Gerrit-Change-Id: Ied63c6e1970e3dfc675da5e5f94579fbb06fea51
Gerrit-Change-Number: 36925
Gerrit-PatchSet: 1
Gerrit-Owner: laforge <laforge(a)osmocom.org>
Gerrit-MessageType: newchange